package main

import (
	"context"
	"database/sql"

	"github.com/uptrace/bun"
	"github.com/uptrace/bun/dialect/pgdialect"
	"github.com/uptrace/bun/driver/pgdriver"
)

func OpenDB(dsn string) PostgresClient {
	sqldb := sql.OpenDB(pgdriver.NewConnector(pgdriver.WithDSN(dsn)))
	r := PostgresClient{bun.NewDB(sqldb, pgdialect.New())}
	return r
}
<<<<<<< Updated upstream
=======

func SelectUsers(c *PostgresClient) {
	ctx := context.Background()
	users := new(UserModel)
	c.NewSelect().
		Model(&UserModel{}).
		Scan(ctx, &users)

}

/*
Prepared for development of the ssh client procedures
*/
//func OpenSSH(dsn string) *SSHClient {
//	sshconn := new(SSHClient)
//	sshconn.NewSession()
//	return sshconn
//}

/*
Prepared for development of the web client procedures
*/
//func OpenWeb(dsn string) WebClient {
//	webconn := new(http.Client)
//	webreq := NewRequest(MethodGet, dsn,
//
//	webconn.Do
//	return webconn
//}
>>>>>>> Stashed changes
